(*
Copyright 2011 Christian Sternagel, René Thiemann

This file is part of IsaFoR/CeTA.

IsaFoR/CeTA is free software: you can redistribute it and/or modify it under the
terms of the GNU Lesser General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

IsaFoR/CeTA is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along
with IsaFoR/CeTA. If not, see <http://www.gnu.org/licenses/>.
*)

header {* Dependencies for Proof-Checker *}

theory Processors
imports
  Dependency_Graph_Impl
  Reduction_Pair_Implementations
  Reduction_Pair_Impl
  Labelings_Impl
  DP_Transformation_Impl
  Subterm_Criterion_Impl
  Usable_Rules_Impl
  String_Reversal_Impl
  Split_Impl
  Matchbounds_Impl
  Uncurry_Impl
  "Size-Change_Termination_Processors_Impl" 
  Linear_Orders
  Nontermination_Impl
  Flat_Context_Closure_Impl
  Semantic_Labeling_Carrier
  Loops_Impl
  SCNP_Impl
  Innermost_Usable_Rules_Impl
  Innermost_Switch_Impl
  Equational_Reasoning_Impl
  Rewriting_Impl
  Instantiation_Impl
  Narrowing_Impl
begin

end
